# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           jboss-remoting
Version:        2.5.1
Release:        1%{?dist}
Epoch:          0
Summary:        JBoss remoting

Group:          Development/Libraries/Java
License:        LGPL
URL:            http://www.jboss.org
Source0:        jboss-remoting-2.5.1.tar.gz
# svn export http://anonsvn.jboss.org/repos/jbossremoting/remoting2/tags/2.5.1/ jboss-remoting-2.5.1
Source1:        http://repository.jboss.com/maven2/org/jboss/remoting/jboss-remoting/2.5.1/jboss-remoting-2.5.1.pom

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  jboss-jrunit
BuildRequires:  junit

BuildRequires:  aopalliance
BuildRequires:  concurrent
BuildRequires:  dom4j
BuildRequires:  gnu-trove
BuildRequires:  hessian
BuildRequires:  jakarta-commons-logging
BuildRequires:  jboss-common-core
BuildRequires:  jboss-common-logging-log4j
BuildRequires:  jboss-common-logging-spi
BuildRequires:  jboss-j2se
BuildRequires:  jboss-naming
BuildRequires:  jboss-serialization
BuildRequires:  jbossweb >= 0:2.1.3
BuildRequires:  jcommon
BuildRequires:  jfreechart
BuildRequires:  jgroups
BuildRequires:  log4j
BuildRequires:  servlet_2_5_api
BuildRequires:  spring
BuildRequires:  spring-aop
BuildRequires:  spring-beans
BuildRequires:  spring-context
BuildRequires:  spring-core
BuildRequires:  spring-remoting
BuildRequires:  spring-web
BuildRequires:  spring-webmvc

Requires:  java >= 0:1.5.0
Requires:  concurrent
Requires:  jbossweb
Requires:  jboss-common-core
Requires:  jboss-common-logging-spi
Requires:  jboss-j2se
Requires:  jboss-naming
Requires:  jboss-serialization
Requires:  log4j
Requires:  servlet_2_5_api

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
JBoss remoting.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q 
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
#BUILD/jboss-remoting-2.5.1/lib/oswego-concurrent/lib/concurrent.jar.no
ln -sf $(build-classpath concurrent) lib/oswego-concurrent/lib/
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-logging-spi.jar.no
ln -sf $(build-classpath jboss-common-logging-spi) lib/jboss/jboss-logging-spi.jar
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-logging-log4j.jar.no
ln -sf $(build-classpath jboss-common-logging-log4j) lib/jboss/jboss-logging-log4j.jar
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-common-core.jar.no
ln -sf $(build-classpath jboss-common-core) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/jboss/jnpserver.jar.no
ln -sf $(build-classpath jboss-naming/jnpserver) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/sun-servlet/lib/servlet-api.jar.no
ln -sf $(build-classpath servlet_2_5_api) lib/sun-servlet/lib/servlet-api.jar
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-j2se.jar.no
ln -sf $(build-classpath jboss-j2se/jboss-j2se) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-serialization.jar.no
ln -sf $(build-classpath jboss-serialization) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/jbossweb/jbossweb.jar.no
ln -sf $(build-classpath jbossweb/jbossweb) lib/jbossweb/jbossweb.jar
#BUILD/jboss-remoting-2.5.1/lib/jboss/jrunit.jar.no
ln -sf $(build-classpath jboss-jrunit) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/junit/lib/junit.jar.no
ln -sf $(build-classpath junit) lib/junit/lib
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-beans.jar.no
ln -sf $(build-classpath spring/beans) lib/spring/spring-beans.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-context.jar.no
ln -sf $(build-classpath spring/context) lib/spring/spring-context.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/caucho/hessian-2.1.12.jar.no
ln -sf $(build-classpath hessian) lib/spring/caucho/hessian-2.1.12.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-webmvc.jar.no
ln -sf $(build-classpath spring/webmvc) lib/spring/spring-webmvc.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-aop.jar.no
ln -sf $(build-classpath spring/aop) lib/spring/spring-aop.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-core.jar.no
ln -sf $(build-classpath spring/core) lib/spring/spring-core.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-web.jar.no
ln -sf $(build-classpath spring/web) lib/spring/spring-web.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-remoting.jar.no
ln -sf $(build-classpath spring/remoting) lib/spring/spring-remoting.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring.jar.no
ln -sf $(build-classpath spring) lib/spring/spring.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/aopalliance/aopalliance.jar.no
ln -sf $(build-classpath aopalliance) lib/spring/aopalliance/
#BUILD/jboss-remoting-2.5.1/lib/dom4j/lib/dom4j.jar.no
ln -sf $(build-classpath dom4j) lib/dom4j/lib/
#BUILD/jboss-remoting-2.5.1/lib/apache-commons/lib/commons-logging.jar.no
ln -sf $(build-classpath commons-logging) lib/apache-commons/lib/
#BUILD/jboss-remoting-2.5.1/lib/apache-log4j/lib/log4j.jar.no
ln -sf $(build-classpath log4j) lib/apache-log4j/lib/log4j.jar
#BUILD/jboss-remoting-2.5.1/lib/jgroups/lib/jgroups-all.jar.no
ln -sf $(build-classpath jgroups) lib/jgroups/lib/jgroups-all.jar
#BUILD/jboss-remoting-2.5.1/lib/jrunit-libs/lib/jcommon-1.0.0-rc1.jar.no
ln -sf $(build-classpath jcommon) lib/jrunit-libs/lib/jcommon-1.0.0-rc1.jar
#BUILD/jboss-remoting-2.5.1/lib/jrunit-libs/lib/jfreechart-1.0.0-rc1.jar.no
ln -sf $(build-classpath jfreechart) lib/jrunit-libs/lib/jfreechart-1.0.0-rc1.jar
#BUILD/jboss-remoting-2.5.1/lib/trove/lib/trove.jar.no
ln -sf $(build-classpath gnu-trove) lib/trove/lib/trove.jar



%build
ant jars tests.jars javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 output/lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr output/lib/servlet-invoker.war $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr output/etc $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.jboss.remoting %{name} %{version} JPP %{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%{_datadir}/%{name}-%{version}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Tue Jun 23 2009 Ralph Apel <r.apel at r-apel.de> - 0:2.5.1-1.jpp5
- 2.5.1
 
